# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2019-11-20 00:59
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0083_user_shortcuts_enabled'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='user',
            options={'permissions': (('change_user_password', 'Can change the password of a user'), ('change_user_state', 'Can edit the state of a user'), ('change_user_force', 'Can force the move'), ('change_user_shell', 'Can edit the shell of a user'), ('change_user_groups', 'Can edit the groups of rights of a user (critical permission)'), ('change_all_users', 'Can edit all users, including those with rights'), ('view_user', 'Can view a user object')), 'verbose_name': 'user (member or club)', 'verbose_name_plural': 'users (members or clubs)'},
        ),
        migrations.AlterField(
            model_name='emailaddress',
            name='local_part',
            field=models.CharField(help_text='Local part of the email address.', max_length=128, unique=True),
        ),
        migrations.AlterField(
            model_name='emailaddress',
            name='user',
            field=models.ForeignKey(help_text='User of the local email account.', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='listright',
            name='details',
            field=models.CharField(blank=True, help_text='Description.', max_length=255),
        ),
        migrations.AlterField(
            model_name='listright',
            name='unix_name',
            field=models.CharField(max_length=255, unique=True, validators=[django.core.validators.RegexValidator('^[a-z]+$', message='UNIX group names can only contain lower case letters.')]),
        ),
        migrations.AlterField(
            model_name='serviceuser',
            name='comment',
            field=models.CharField(blank=True, help_text='Comment.', max_length=255),
        ),
        migrations.AlterField(
            model_name='user',
            name='comment',
            field=models.CharField(blank=True, help_text='Comment, school year.', max_length=255),
        ),
        migrations.AlterField(
            model_name='user',
            name='shortcuts_enabled',
            field=models.BooleanField(default=True, verbose_name='enable shortcuts on Re2o website'),
        ),
        migrations.AlterField(
            model_name='user',
            name='state',
            field=models.IntegerField(choices=[(0, 'Active'), (1, 'Disabled'), (2, 'Archived'), (3, 'Not yet active'), (4, 'Fully archived')], default=3),
        ),
    ]
